Bug 1284084 - Refresh Relationships on SCVMM Provider throws ERROR if any VM contains 2 DVD drives.
Refresh Relationships on SCVMM Provider throws ERROR if any VM contains 2 DVD...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.5.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.6.1
Assigned To: Daniel Berger
Jeff Teehan
provider:scvmm:ems_refresh:error
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-20 14:16 EST by Jeff Teehan
Modified: 2016-08-19 15:32 EDT (History)
11 users (show)

See Also:
Fixed In Version: 5.6.1.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-18 13:44:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Teehan 2015-11-20 14:16:12 EST
Description of problem:
Manual refresh of SCVMM provider has a new error both in the Web UI and the evm.log.

ERROR -- : [TypeError]: no implicit conversion of Symbol into Integer  Method:[rescue in block in refresh]

Version-Release number of selected component (if applicable):
5.5.0.11 - I think this is new.

How reproducible:
Always appears.  Did see any issue with automatic refresh.

    


Steps to Reproduce:
1.  Add SCVMM2 to an Appliance.
2.  Go to that provider and select Refresh Relationships on Power Status under Configuration dropdown.
3.  Wait a few minutes, or just tail the log until you see
 ERROR -- : [TypeError]: no implicit conversion of Symbol into Integer  Method:[rescue in block in refresh]


Actual results:
ERROR -- : [TypeError]: no implicit conversion of Symbol into Integer  Method:[rescue in block in refresh]

It also appears on the WebGUI under Last Refresh as Error - 5 Minutes Ago
no implicit conversion of Symbol into Integer

Expected results:
It has been working fine.

Additional info:
I'll leave this appliance up for a while.
https://10.16.6.164/ems_infra/show/1119r1
Comment 2 Jeff Teehan 2015-11-20 14:43:12 EST
Updated BZ.  I didn't even realize this was related to a test I was performing.

This issue occurs if any of the provider VMs has 2 DVD drives included in the configuration.  

Removing the second DVD from the offending VM fixes this issue.
Comment 3 Jeff Teehan 2015-11-20 15:24:22 EST
This issue is in 5.4.4 as well.
https://10.16.6.254/ems_infra/show/1120r1
Comment 4 Daniel Berger 2016-02-04 15:18:27 EST
Jeff, I don't suppose you have the full backtrace, do you?
Comment 5 Jeff Teehan 2016-02-04 15:21:12 EST
I don't, but the offending VM is still sitting there.  I just need to add the second DVD and then do the refresh.  Bronaugh had it traced once upon a time.

Have to turn the second DVD on/off for troubleshooting as it does kill all scvmm2 connections while it's going.  Hit me up on IRC when you're ready and we can do it together.
Comment 6 Daniel Berger 2016-02-04 16:41:43 EST
Ok, we dug into it:

[----] E, [2016-02-04T16:26:07.377548 #2992:997988] ERROR -- : [TypeError]: no implicit conversion of Symbol into Integer  Method:[rescue in block in refresh]
[----] E, [2016-02-04T16:26:07.377860 #2992:997988] ERROR -- : /var/www/miq/vmdb/app/models/manageiq/providers/microsoft/infra_manager/refresh_parser.rb:417:in `[]'
/var/www/miq/vmdb/app/models/manageiq/providers/microsoft/infra_manager/refresh_parser.rb:417:in `process_iso_image'
/var/www/miq/vmdb/app/models/manageiq/providers/microsoft/infra_manager/refresh_parser.rb:393:in `process_vm_guest_devices'
/var/www/miq/vmdb/app/models/manageiq/providers/microsoft/infra_manager/refresh_parser.rb:317:in `process_vm_hardware'
/var/www/miq/vmdb/app/models/manageiq/providers/microsoft/infra_manager/refresh_parser.rb:193:in `parse_vm'
/var/www/miq/vmdb/app/models/manageiq/providers/microsoft/infra_manager/refresh_parser.rb:64:in `block in get_vms'
/var/www/miq/vmdb/app/models/manageiq/providers/microsoft/infra_manager/refresh_parser.rb:601:in `block in process_collection'
/var/www/miq/vmdb/app/models/manageiq/providers/microsoft/infra_manager/refresh_parser.rb:600:in `each'
/var/www/miq/vmdb/app/models/manageiq/providers/microsoft/infra_manager/refresh_parser.rb:600:in `process_collection'
/var/www/miq/vmdb/app/models/manageiq/providers/microsoft/infra_manager/refresh_parser.rb:64:in `get_vms'
/var/www/miq/vmdb/app/models/manageiq/providers/microsoft/infra_manager/refresh_parser.rb:31:in `ems_inv_to_hashes'
/var/www/miq/vmdb/app/models/manageiq/providers/microsoft/infra_manager/refresh_parser.rb:7:in `ems_inv_to_hashes'
/var/www/miq/vmdb/app/models/manageiq/providers/microsoft/infra_manager/refresher.rb:10:in `parse_inventory'
Comment 7 Bronagh Sorota 2016-02-05 09:48:26 EST
I have a fix for this but i cannot make a PR because i cannot write a spec test; the SCVMM specs cannot be updated because the QE SCVMM environment the specs are based on has grown too big. Joe Smith is in the process of setting us up with a small environment of our own for spec testing purposes.
Daniel, shall i take this BZ since i have a fix? Do you have a different plan for writing SCVMM specs?
Comment 8 Daniel Berger 2016-02-05 10:30:38 EST
Bronagh, if you have a fix ready go ahead and take this one.
Comment 9 Bronagh Sorota 2016-02-19 08:34:22 EST
I have a fix for this, once a test SCVMM environment is ready exclusively for spec tests then i can test and make a PR.
Joe - please let me know when this is available.
Comment 11 Bronagh Sorota 2016-04-26 11:29:42 EDT
Joe, Jeff,
Is there a VM with 2 DVDs? 

Thanks
B
Comment 12 Jeff Teehan 2016-05-09 16:04:54 EDT
I think we covered this already.  Clearing flag.
Comment 13 Daniel Berger 2016-07-15 08:44:39 EDT
https://github.com/ManageIQ/manageiq/pull/9519
Comment 15 Jeff Teehan 2016-08-01 13:53:00 EDT
Awesome.  Glad this one is gone.  DualDVD returns:

IDE C:\DualDVDa\SmallWin12Template.vhdx, Size: 30 GB, Size on disk: 5 GB, Percent Used Provisioned Space: 16.7%	 C:\DualDVDa\SmallWin12Template.vhdx, Mode: persistent
IDE	 C:\tmp\en_visio_professional_2016_x005F_x86_x005F_x64_dvd_6962139.iso
IDE	 C:\tmp\en_office_professional_plus_2016_x005F_x86_x005F_x64_dvd_6962141.iso

That would be two DVDs.

Moving to verified using https://10.16.7.93/vm_infra/explorer
Comment 17 errata-xmlrpc 2016-08-18 13:44:45 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1634.html

Note You need to log in before you can comment on or make changes to this bug.